Bug 108270 - [proton] Wolfenstein: The New Order (frame rate issue)
Summary: [proton] Wolfenstein: The New Order (frame rate issue)
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/radeonsi (show other bugs)
Version: 18.2
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-08 02:01 UTC by James B
Modified: 2019-09-25 18:10 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James B 2018-10-08 02:01:39 UTC
In the first bunker the frame rate drops heavily and stutters in spots, the frame rate is perfect 60fps before and after this area.  I tested the same area on Windows 10 and also Ubuntu with proprietary drivers and they don't suffer from this issue.  

Tested using Proton 3.7-6 as the game needs a patched wine to run. Hopefully the trace is long enough to see the issue as the frame rate drop doesn't always happen immediately.

Apitrace:
https://drive.google.com/file/d/1LWRVhJMeXo0h8IbUFBwj8vyTyyml6R5k/view?usp=sharing

Video showing the issue:
https://youtu.be/WheSQWf09yM

-Arch Linux
-RX Vega 56/Ryzen 1700
-mesa 18.3-git
Comment 1 Adam Lyall 2018-11-12 14:06:30 UTC
I can confirm the same experience using a Radeon R9 285 with the Mesa 18.2.* series. The game for the most part runs really smooth but as soon as I reached the bunker shown on James B's Youtube video the framerate dropped greatly and no matter how low I set the graphic settings it made no difference.

- Solus OS
- Mesa 18.2.1
- R9 285 (Tonga)
- Ryzen 5 1600@3.85GHz
Comment 2 GitLab Migration User 2019-09-25 18:10:02 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1332.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.